MSWTextInternal::Field Struct Reference

Internal: the field of MSWParser. More...

## Public Member Functions

| Field ()
| constructor More...

## Public Attributes

std::string | m_text
| the text More...
int | m_id
| the id More...
std::string | m_error
| the errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

Internal: the field of MSWParser.

## Constructor & Destructor Documentation

MSWTextInternal::Field::Field | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSWTextInternal::Field::m_error

the errors

Referenced by MSWText::readFields().

int MSWTextInternal::Field::m_id

the id

Referenced by MSWText::readFields().

std::string MSWTextInternal::Field::m_text

the text

Referenced by MSWText::readFields().

The documentation for this struct was generated from the following file:

- MSWText.cxx